## Macro BOOST_LOG_TRIVIAL

BOOST_LOG_TRIVIAL

## Synopsis

    // In header: <boost/log/trivial.hpp>

    BOOST_LOG_TRIVIAL(lvl)

## Description

The macro is used to initiate logging. The `lvl` argument of the macro specifies one of the following severity levels: `trace`, `debug`, `info`, `warning`, `error` or `fatal` (see `severity_level` enum). Following the macro, there may be a streaming expression that composes the record message string. For example:

    BOOST_LOG_TRIVIAL(info) << "Hello, world!";